> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 关键词概览

> 此端点提供指定关键词的 Google 关键词数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/keyword_overview/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/keyword_overview/live:
    post:
      summary: 关键词概览
      description: >-
        此端点提供指定关键词的 Google 关键词数据。对于每个关键词，您将获得当前每次点击费用、付费搜索竞争度、搜索量、搜索意图、月度搜索量，以及
        SERP 和反向链接信息。此外，通过指定 `include_clickstream_data` 参数，还可以获取点击流数据，例如点击流搜索量。
      operationId: post_dataforseo_dataforseo_labs_google_keyword_overview_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    keywords 必填字段 可指定的关键词数量上限：700 每个关键词的字符数上限：80
                    每个关键词短语的单词数上限：10 指定的关键词将转换为小写格式，数据将在单独的数组中提供
                    请注意，如果此数组中指定的某些关键词未出现在返回结果中，则表示我们的数据库不包含这些关键词，因而无法返回其相关数据
                    未出现在结果中的关键词不会收费 有关 DataForSEO API 中 keyword 和 keywords
                    字段的规则与限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    位置的完整名称；未指定 location_code 时为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_name 的可用位置列表；示例：United Kingdom
                location_code:
                  type: integer
                  description: >-
                    位置代码；如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code 其中之一；可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取可用位置及其 location_code 的列表；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称 如果未指定 language_code，则为必填字段 注意：必须指定 language_name 或
                    language_code 之一 可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 language_name 的可用位置列表 示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果未指定 language_name，则此字段为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取可用位置及其 language_code 的列表。示例：en
                include_serp_info:
                  type: boolean
                  description: >-
                    为每个关键词包含 SERP 数据，可选字段。如果设置为 true，我们将在响应中为每个关键词返回包含 SERP
                    数据（搜索结果数量、相关 URL 和 SERP 特征）的 serp_info 数组。默认值：false
                include_clickstream_data:
                  type: boolean
                  description: >-
                    在结果中包含或排除基于点击流的指标数据，可选字段；如果将该参数设置为 true，响应中将包含
                    clickstream_keyword_info、keyword_info_normalized_with_clickstream
                    和 keyword_info_normalized_with_bing
                    字段；默认值：false；启用此参数后，该请求将按双倍价格收费；有关基于点击流的指标计算方式的更多信息，请参阅此帮助中心文章。
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含关键词及相关数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword:
                    type: string
                    description: keyword 关键词返回时会解码 %##（加号字符“+”将被解码为空格字符）
                  tasks.result.items.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.items.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items.search_partners:
                    type: boolean
                    description: >-
                      表示 Google 及合作伙伴网站的数据；若为 true，则返回 Google 及托管 Google
                      搜索的合作伙伴网站所拥有、运营和联合发布的网络中的结果；若为 false，则仅返回 Google 搜索网站的结果
                  tasks.result.items.keyword_info:
                    type: object
                    description: 返回关键词的关键词数据
                  tasks.result.items.keyword_info.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_info.last_updated_time:
                    type: string
                    description: >-
                      关键词数据更新时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_info.competition:
                    type: number
                    description: 竞争度表示与给定关键词相关的相对竞争程度；该值基于 Google Ads 数据，取值范围为 0 到 1（含端点）
                  tasks.result.items.keyword_info.competition_level:
                    type: string
                    description: >-
                      竞争程度 表示给定关键词仅在付费 SERP 中的相对竞争程度；可能的值：LOW、MEDIUM、HIGH
                      如果竞争程度未知，则值为 null；有关该指标的更多信息，请参阅此帮助中心文章
                  tasks.result.items.keyword_info.cpc:
                    type: number
                    description: 每次点击费用，表示该关键词历史上每次点击的平均费用（USD）
                  tasks.result.items.keyword_info.search_volume:
                    type: integer
                    description: 平均月搜索量，表示给定关键词建议在 google.com 上的（近似）搜索次数
                  tasks.result.items.keyword_info.low_top_of_page_bid:
                    type: number
                    description: >-
                      广告在第一页顶部展示的最低出价，表示高于约 20% 的广告实际展示最低出价（基于 Google Ads
                      的广告主统计数据）。该值可能因 POST 请求中指定的位置而异
                  tasks.result.items.keyword_info.high_top_of_page_bid:
                    type: number
                    description: >-
                      广告在第一页顶部展示的最高出价，表示高于约 80% 的广告实际展示最低出价（基于 Google Ads
                      的广告主统计数据）。该值可能因 POST 请求中指定的位置而异
                  tasks.result.items.keyword_info.categories:
                    type: array
                    items:
                      type: string
                    description: 产品和服务类别；您可以下载完整的可选类别列表
                  tasks.result.items.keyword_info.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 月搜索量，表示指定地理位置中此关键词建议的（近似）搜索次数（可提供过去十二个月的数据）。
                  tasks.result.items.keyword_info.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.keyword_info.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.keyword_info.monthly_searches.search_volume:
                    type: integer
                    description: 月平均搜索量
                  tasks.result.items.keyword_info.search_volume_trend:
                    type: object
                    description: 搜索量趋势变化，表示与上一周期相比搜索量的百分比变化
                  tasks.result.items.keyword_info.search_volume_trend.monthly:
                    type: integer
                    description: 与上月相比的搜索量百分比变化
                  tasks.result.items.keyword_info.search_volume_trend.quarterly:
                    type: integer
                    description: 与上一季度相比的搜索量变化百分比
                  tasks.result.items.keyword_info.search_volume_trend.yearly:
                    type: integer
                    description: 与上一年相比的搜索量百分比变化
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing:
                    type: object
                    description: 包含使用 Bing 搜索量归一化的关键词搜索量
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.last_updated_time:
                    type: string
                    description: >-
                      数据集更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.search_volume:
                    type: integer
                    description: 关键词的当前搜索量比率
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.is_normalized:
                    type: boolean
                    description: 是否对关键词信息进行规范化；若为 true，则使用 Bing 数据规范化值
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.monthly_searches:
                    type: integer
                    description: 月度搜索量数据，由一组对象组成，其中包含某年特定月份的搜索量数据
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.keyword_info.keyword_info_normalized_with_bing.monthly_searches.search_volume:
                    type: integer
                    description: 某年特定月份的搜索量占比
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream:
                    type: object
                    description: 包含使用点击流数据归一化的关键词搜索量
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.last_updated_time:
                    type: string
                    description: >-
                      数据集更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.search_volume:
                    type: integer
                    description: 关键词的当前搜索量比率
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.is_normalized:
                    type: boolean
                    description: 关键词信息是否已标准化；如果为 true，则使用点击流数据对值进行标准化
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.monthly_searches:
                    type: integer
                    description: 月度搜索量数据，由一组对象组成，其中包含某年特定月份的搜索量数据
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.keyword_info.keyword_info_normalized_with_clickstream.monthly_searches.search_volume:
                    type: integer
                    description: 某年特定月份的搜索量占比
                  tasks.result.items.clickstream_keyword_info:
                    type: object
                    description: >-
                      返回关键词的点击流数据；要获取此字段的结果，必须将参数 include_clickstream_data 设置为
                      true
                  tasks.result.items.clickstream_keyword_info.search_volume:
                    type: integer
                    description: 月均点击流搜索量比率
                  tasks.result.items.clickstream_keyword_info.last_updated_time:
                    type: string
                    description: 点击流数据集的更新时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                  tasks.result.items.clickstream_keyword_info.gender_distribution:
                    type: object
                    description: 按性别划分的基于估算点击流的指标分布；有关该指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.clickstream_keyword_info.gender_distribution.female:
                    type: integer
                    description: 相关点击流数据集中的女性用户数量
                  tasks.result.items.clickstream_keyword_info.gender_distribution.male:
                    type: integer
                    description: 相关点击流数据集中的男性用户数量
                  tasks.result.items.clickstream_keyword_info.age_distribution:
                    type: object
                    description: 按年龄划分的点击流指标分布；有关该指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.clickstream_keyword_info.age_distribution.18-24:
                    type: integer
                    description: 相关点击流数据集中年龄在 18 至 24 岁范围内的用户数量
                  tasks.result.items.clickstream_keyword_info.age_distribution.25-34:
                    type: integer
                    description: 相关点击流数据集中年龄在 25-34 岁范围内的用户数量
                  tasks.result.items.clickstream_keyword_info.age_distribution.35-44:
                    type: integer
                    description: 相关点击流数据集中年龄在 35-44 岁范围内的用户数量
                  tasks.result.items.clickstream_keyword_info.age_distribution.45-54:
                    type: integer
                    description: 相关点击流数据集中年龄在 45-54 岁范围内的用户数量
                  tasks.result.items.clickstream_keyword_info.age_distribution.55-64:
                    type: integer
                    description: 相关点击流数据集中年龄在 55-64 岁范围内的用户数量
                  tasks.result.items.clickstream_keyword_info.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 月度点击流搜索量；对象数组，包含某年特定月份的点击流搜索量
                  tasks.result.items.clickstream_keyword_info.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.clickstream_keyword_info.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.clickstream_keyword_info.monthly_searches.search_volume:
                    type: integer
                    description: 基于点击流的某年特定月份搜索量比率
                  tasks.result.items.keyword_properties:
                    type: object
                    description: 关于关键词的其他信息
                  tasks.result.items.keyword_properties.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_properties.core_keyword:
                    type: string
                    description: >-
                      分组中的主要关键词，包含由同义词聚类算法确定的分组主要关键词。如果值为
                      null，则我们的数据库中不包含相应算法可识别为与 keyword 同义的任何关键词
                  tasks.result.items.keyword_properties.synonym_clustering_algorithm:
                    type: string
                    description: >-
                      用于识别同义词的算法；可能的值：keyword_metrics – 表示基于 keyword_info
                      参数的算法；text_processing – 表示基于文本的算法；如果值为
                      null，则表示我们的数据库不包含相应算法可识别为 keyword 同义词的任何关键词
                  tasks.result.items.keyword_properties.keyword_difficulty:
                    type: integer
                    description: >-
                      关键词进入自然搜索结果前 10 名的排名难度，以 0 到 100 的对数刻度表示关键词进入自然搜索结果前 10
                      名的可能性；计算时会分析 SERP 前 10 个页面的链接配置等参数；有关此指标的更多信息，请参阅此帮助中心指南
                  tasks.result.items.keyword_properties.detected_language:
                    type: string
                    description: 检测到的关键词语言表示我们的系统识别出的关键词语言。
                  tasks.result.items.keyword_properties.is_another_language:
                    type: boolean
                    description: 检测到的关键词语言与设置语言不同；如果为 true，则表示请求中设置的语言与系统为给定关键词判定的语言不匹配
                  tasks.result.items.serp_info:
                    type: object
                    description: >-
                      SERP 数据。如果未在 POST 数组中将 include_serp_info 字段设置为
                      true，或者数据库中没有此关键词的 SERP 数据，则该值为 null
                  tasks.result.items.serp_info.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.serp_info.check_url:
                    type: string
                    description: 搜索引擎结果的直接 URL，可用于确认我们提供的结果是否准确
                  tasks.result.items.serp_info.serp_item_types:
                    type: array
                    items:
                      type: string
                    description: >-
                      SERP 中的搜索结果类型，包含在 SERP
                      中找到的搜索结果（项目）类型。可能的项目类型：answer_box、app、carousel、multi_carousel、featured_snippet、google_flights、google_reviews、third_party_reviews、google_posts、images、jobs、knowledge_graph、local_pack、hotels_pack、map、organic、paid、people_also_ask、related_searches、people_also_search、shopping、top_stories、twitter、video、events、mention_carousel、recipes、top_sights、scholarly_articles、popular_products、podcasts、questions_and_answers、find_results_on、stocks_box、visual_stories、commercial_units、local_services、google_hotels、math_solver、currency_box、product_considerations、found_on_web、short_videos、refine_products、explore_brands、perspectives、discussions_and_forums、compare_sites、courses、ai_overview；请注意，实际结果仅会为
                      organic、paid、featured_snippet 和 local_pack 元素返回
                  tasks.result.items.serp_info.se_results_count:
                    type: string
                    description: 返回关键词的搜索结果数量
                  tasks.result.items.serp_info.last_updated_time:
                    type: string
                    description: >-
                      SERP 数据更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.serp_info.previous_updated_time:
                    type: string
                    description: >-
                      SERP 数据最近一次更新之前的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-10-15 12:57:46 +00:00
                  tasks.result.items.avg_backlinks_info:
                    type: object
                    description: >-
                      返回关键词的反向链接数据。此对象提供该关键词自然搜索排名前 10
                      的网站的平均反向链接数、引用页面数和引用域名数，以及平均排名值
                  tasks.result.items.avg_backlinks_info.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.avg_backlinks_info.backlinks:
                    type: number
                    description: 平均反向链接数
                  tasks.result.items.avg_backlinks_info.dofollow:
                    type: number
                    description: dofollow 链接的平均数量
                  tasks.result.items.avg_backlinks_info.referring_pages:
                    type: number
                    description: 平均引用页面数
                  tasks.result.items.avg_backlinks_info.referring_domains:
                    type: number
                    description: 引用域名的平均数量
                  tasks.result.items.avg_backlinks_info.referring_main_domains:
                    type: number
                    description: 平均引用主域名数量
                  tasks.result.items.avg_backlinks_info.rank:
                    type: number
                    description: 平均排名；有关此指标及其计算公式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.avg_backlinks_info.main_domain_rank:
                    type: number
                    description: 主域名平均排名；有关该指标及其计算公式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.avg_backlinks_info.last_updated_time:
                    type: string
                    description: >-
                      反向链接数据更新时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.search_intent_info:
                    type: object
                    description: 返回关键词的搜索意图信息；有关搜索意图的更多信息，请参阅此帮助中心文章
                  tasks.result.items.search_intent_info.se_type:
                    type: string
                    description: 搜索引擎类型，可选值：google
                  tasks.result.items.search_intent_info.main_intent:
                    type: string
                    description: >-
                      主要搜索意图，可能的值：informational、navigational、commercial、transactional
                  tasks.result.items.search_intent_info.foreign_intent:
                    type: array
                    items:
                      type: string
                    description: >-
                      补充搜索意图，可能的值：informational、navigational、commercial、transactional
                  tasks.result.items.search_intent_info.last_updated_time:
                    type: string
                    description: >-
                      搜索意图数据最近一次更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2019-11-15 12:57:46 +00:00
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````